E-MailRelay

Public Member Functions | List of all members
G::Pipe Class Reference

A private implementation class used by G::NewProcess that wraps a unix pipe. More...

## Public Member Functions
void | inChild ()
void | inParent ()
int | fd () const
void | dupTo (int fd_std)
void | write (const std::string &)
| Pipe (const Pipe &)=delete
| Pipe (Pipe &&)=delete
void | operator= (const Pipe &)=delete
void | operator= (Pipe &&)=delete

## Detailed Description

A private implementation class used by G::NewProcess that wraps a unix pipe.

Definition at line 52 of file gnewprocess_unix.cpp.

## Constructor & Destructor Documentation

## ◆ Pipe()

G::Pipe::Pipe | ( |  | ) |

Definition at line 345 of file gnewprocess_unix.cpp.

## ◆ ~Pipe()

G::Pipe::~Pipe | ( |  | ) |

Definition at line 352 of file gnewprocess_unix.cpp.

## Member Function Documentation

## ◆ dupTo()

void G::Pipe::dupTo | ( | int | fd_std | ) |

Definition at line 377 of file gnewprocess_unix.cpp.

## ◆ fd()

int G::Pipe::fd | ( |  | ) | const

Definition at line 372 of file gnewprocess_unix.cpp.

## ◆ inChild()

void G::Pipe::inChild | ( |  | ) |

Definition at line 358 of file gnewprocess_unix.cpp.

## ◆ inParent()

void G::Pipe::inParent | ( |  | ) |

Definition at line 365 of file gnewprocess_unix.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gnewprocess_unix.cpp